For the complete documentation index, see llms.txt. This page is also available as Markdown.

Identities

Temporary identity endpoints used for auto-login flows

Create identity (Signed Fetch)

post
/identities

Creates a temporary identity used for auto-login. This endpoint requires a Signed Fetch request per ADR-44. Requests signed by scenes are rejected.

Body
Responses
201

Identity created

application/json
identityIdstring · uuidRequired

Unique identity identifier

expirationstring · date-timeRequired

Identity expiration time (ISO 8601)

post/identities

Retrieve and consume identity

get
/identities/{id}

Retrieves an identity by ID for auto-login. The identity is deleted after a successful retrieval. The request must originate from the same IP (flexible matching) used when creating the identity.

Path parameters
idstring · uuidRequired

Identity ID

Responses
200

Identity retrieved

application/json
get/identities/{id}

Last updated